るりまサーチ (Ruby 2.3.0)

最速Rubyリファレンスマニュアル検索!
6件ヒット [1-6件を表示] (0.036秒)
トップページ > バージョン:2.3.0[x] > 種類:インスタンスメソッド[x] > クエリ:l[x] > ライブラリ:rubygems/dependency_installer[x]

別のキーワード

  1. matrix l
  2. kernel $-l
  3. _builtin $-l
  4. lupdecomposition l

検索結果

Gem::DependencyInstaller#gems_to_install -> Array (27310.0)

依存関係によりインストールされる予定の Gem のリストを返します。

依存関係によりインストールされる予定の Gem のリストを返します。

Gem::DependencyInstaller#install(dep_or_name, version = Gem::Requirement.default) -> Array (27310.0)

指定された Gem とその依存する Gem を全てインストールします。

指定された Gem とその依存する Gem を全てインストールします。

@param dep_or_name Gem の名前か Gem::Dependency のインスタンスを指定します。

@param version バージョンに関する条件を指定します。

@return このメソッドでインストールした Gem のリストを返します。

Gem::DependencyInstaller#installed_gems -> Array (27310.0)

Gem::DependencyInstaller#install でインストールされた Gem のリストを返します。

Gem::DependencyInstaller#install でインストールされた Gem のリストを返します。

Gem::DependencyInstaller#find_spec_by_name_and_version(gem_name, version = Gem::Requirement.default) -> Array (9310.0)

与えられた Gem の名前とバージョンに関する条件にマッチする Gem::Specification と それの存在する URI を含む配列を返します。

与えられた Gem の名前とバージョンに関する条件にマッチする Gem::Specification と
それの存在する URI を含む配列を返します。

@param gem_name Gem の名前を指定します。

@param version Gem が満たすバージョンに関する条件を指定します。

Gem::DependencyInstaller#find_gems_with_sources(dep) -> Array (9010.0)

与えられた条件にマッチする Gem::Specification のインスタンスと URI のペアのリストを 返します。

与えられた条件にマッチする Gem::Specification のインスタンスと URI のペアのリストを
返します。

Gem はローカル (Dir.pwd) とリモート (Gem.sources) の両方から検索します。
結果は、バージョンの新しい順が先にきます。また、ローカルの Gem も先にきます。

@param dep Gem::Dependency のインスタンスを指定します。

絞り込み条件を変える

Gem::DependencyInstaller#gather_dependencies -> Array (9010.0)

依存関係を無視するように指定されていない限り、インストールするように指定された Gem が依存している Gem の情報を集めて返します。

依存関係を無視するように指定されていない限り、インストールするように指定された
Gem が依存している Gem の情報を集めて返します。